{
  "private": false,
  "name": "eslint-config-strict-mode",
  "version": "1.2.1",
  "description": "ESLint configuration for linting TS, JS, JSON, YAML, and TOML",
  "license": "MIT",
  "author": "Brian Zalewski <brian@megabyte.space> (https://megabyte.space)",
  "homepage": "https://megabyte.space",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/megabyte-labs/eslint-config-strict-mode.git"
  },
  "bugs": {
    "email": "help@megabyte.space",
    "url": "https://gitlab.com/megabyte-labs/npm/configs/eslint/-/issues"
  },
  "type": "commonjs",
  "main": "dist/main.js",
  "files": [
    "dist",
    "lib"
  ],
  "scripts": {
    "build": "bash start.sh && task npm:build:tsconfig",
    "build:eslint:docs": "eslint-doc-generator",
    "bump": "bash start.sh && task npm:bump",
    "commit": "bash start.sh && task commit",
    "fix": "bash start.sh && task fix",
    "find": "eslint-find-rules",
    "help": "bash start.sh && task --menu",
    "lint": "bash start.sh && task lint",
    "preload": "bash start.sh && task preload",
    "prepare": "bash start.sh && (test -f Taskfile.yml && task npm:prepare) || true",
    "release": "bash start.sh && task publish:semantic-release",
    "repair": "bash <(curl -sS https://install.doctor/repair)",
    "start": "test -z $SKIP_NPM_START && bash start.sh || true",
    "test": "bash start.sh && task npm:test:none",
    "unpack": "bash start.sh && task npm:bundle:unpack",
    "update": "bash start.sh && task update",
    "vscode": "bash start.sh && task vscode"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/git-cz-emoji"
    }
  },
  "typings": "dist/main.d.ts",
  "dependencies": {
    "@typescript-eslint/eslint-plugin": "^5.45.1",
    "@typescript-eslint/parser": "^5.45.1",
    "eslint": "^8.29.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-formatter-git-log": "^0.5.4",
    "eslint-formatter-gitlab": "^3.0.0",
    "eslint-formatter-pretty": "^4.1.0",
    "eslint-formatter-summary": "^1.1.0",
    "eslint-plugin-angular": "^4.1.0",
    "eslint-plugin-array-func": "^3.1.7",
    "eslint-plugin-const-case": "^1.2.2",
    "eslint-plugin-deprecation": "^1.3.3",
    "eslint-plugin-diff": "^1.0.15",
    "eslint-plugin-editorconfig": "^3.2.0",
    "eslint-plugin-eslint-comments": "^3.2.0",
    "eslint-plugin-etc": "^2.0.2",
    "eslint-plugin-ext": "^0.1.0",
    "eslint-plugin-filenames": "^1.3.2",
    "eslint-plugin-fp": "^2.3.0",
    "eslint-plugin-functional": "^4.4.1",
    "eslint-plugin-html": "^6.2.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-jest": "^25.7.0",
    "eslint-plugin-jest-async": "^1.0.3",
    "eslint-plugin-jest-dom": "^3.9.4",
    "eslint-plugin-jest-formatting": "^3.1.0",
    "eslint-plugin-jsdoc": "^37.9.7",
    "eslint-plugin-jsonc": "^1.7.0",
    "eslint-plugin-markdown": "^3.0.0",
    "eslint-plugin-no-constructor-bind": "^2.0.4",
    "eslint-plugin-no-explicit-type-exports": "^0.12.1",
    "eslint-plugin-no-secrets": "^0.8.9",
    "eslint-plugin-no-unsanitized": "^3.2.0",
    "eslint-plugin-no-use-extend-native": "^0.5.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-optimize-regex": "^1.2.1",
    "eslint-plugin-prefer-arrow": "^1.2.3",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-promise": "^5.2.0",
    "eslint-plugin-putout": "^17.1.0",
    "eslint-plugin-regexp": "^1.11.0",
    "eslint-plugin-rxjs": "^4.0.4",
    "eslint-plugin-security": "^1.5.0",
    "eslint-plugin-sonarjs": "^0.10.0",
    "eslint-plugin-sort-class-members": "^1.16.0",
    "eslint-plugin-sort-keys-fix": "^1.1.2",
    "eslint-plugin-switch-case": "^1.1.2",
    "eslint-plugin-toml": "^0.2.0",
    "eslint-plugin-tsdoc": "^0.2.17",
    "eslint-plugin-typescript-sort-keys": "^2.1.0",
    "eslint-plugin-unicorn": "^37.0.1",
    "eslint-plugin-unused-imports": "^1.1.5",
    "eslint-plugin-woke": "^1.0.1",
    "eslint-plugin-xss": "^0.1.12",
    "eslint-plugin-yml": "^0.10.1",
    "glob": "^7.2.3",
    "parse-gitignore": "^1.0.1",
    "tslib": "^2.5.0",
    "yaml": "^1.10.2"
  },
  "peerDependenciesMeta": {
    "eslint": {
      "optional": true
    }
  },
  "devDependencies": {
    "@commitlint/config-conventional": "latest",
    "@types/glob": "^7.2.0",
    "@types/node": "^16.11.6",
    "@types/parse-gitignore": "^1.0.0",
    "esbuild": "^0.12.29",
    "esbuild-node-externals": "^1.3.0",
    "eslint-config-strict-mode": "latest",
    "eslint-doc-generator": "^1.4.3",
    "eslint-find-rules": "^4.1.0",
    "git-cz-emoji": "latest",
    "handlebars-helpers": "latest",
    "jest-preset-ts": "latest",
    "prettier": "^2.4.1",
    "prettier-config-sexy-mode": "latest",
    "putout": "^29.1.6",
    "semantic-release-config": "latest",
    "typescript": "^4.5.5"
  },
  "keywords": [
    "config",
    "editorconfig",
    "eslint",
    "eslint-config",
    "formatter",
    "javascript",
    "lint",
    "linter",
    "mblabs",
    "megabytelabs",
    "prettier",
    "professormanhattan",
    "schema",
    "toml",
    "tsdoc",
    "typescript",
    "washingtondc",
    "yaml"
  ],
  "engines": {
    "node": ">=18.4.0"
  },
  "publishConfig": {
    "@gitlab:registry": "https://gitlab.com/api/v4/projects/30830469/packages/npm/",
    "@megabyte:registry": "https://gitlab.com/api/v4/projects/30830469/packages/npm/",
    "access": "public",
    "registry": "https://registry.npmjs.org/",
    "tag": "edge"
  },
  "blueprint": {
    "customPackageName": "eslint-config-strict-mode",
    "description": "ESLint configuration for linting TS, JS, JSON, YAML, and TOML",
    "github_id": "R_kgDOGuY01w",
    "gitlab_group_id": "12165875",
    "gitlab_project_id": "30830469",
    "group": "npm",
    "name": "Strict ESLint Config",
    "overview": "This [ESLint](https://eslint.org/) configuration package includes basically every quality ESLint plugin available. The default settings are meant to enforce strict design patterns among developers who code with TypeScript and JavaScript. It also includes linting rules for JSON, YAML, and TOML. Most of the rules include auto-fix functionality and it even sorts JSON and YAML. You can use this configuration as is or customize it to your liking so you can have your own shared ESLint configuration package!",
    "repository": {
      "github": "https://github.com/megabyte-labs/eslint-config-strict-mode",
      "gitlab": "https://gitlab.com/megabyte-labs/npm/configs/eslint"
    },
    "slug": "eslint-config-strict-mode",
    "subgroup": "config",
    "subheader_description": "A strict ESLint configuration that includes all the best ESLint plugins for linting TypeScript, JavaScript, JSON, YAML, and TOML",
    "title": "A Strict, Awesome ESLint Config"
  },
  "changelog": {
    "displayTypes": [
      "feat",
      "fix",
      "perf",
      "refactor",
      "revert"
    ],
    "showAuthor": true
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ],
    "helpUrl": "https://megabyte.space/docs/contributing/commits"
  },
  "eslintConfig": {
    "extends": "eslint-config-strict-mode",
    "rules": {
      "import/no-extraneous-dependencies": "warn"
    }
  },
  "funding": [
    {
      "type": "opencollective",
      "url": "https://opencollective.com/megabytelabs"
    },
    {
      "type": "patreon",
      "url": "https://www.patreon.com/ProfessorManhattan"
    }
  ],
  "jest": {
    "preset": "jest-preset-ts",
    "reporters": [
      "default",
      [
        "jest-html-reporters",
        {
          "filename": "index.html",
          "logoImgPath": "./.config/assets/logo-jest-report.png",
          "openReport": true,
          "pageTitle": "Code Coverage Report",
          "publicPath": "./coverage"
        }
      ]
    ]
  },
  "jscpd": {
    "absolute": true,
    "gitignore": true,
    "ignore": [
      "!**/.devcontainer/**/*",
      "!**/.config/**/*",
      "!**/.git/**/*",
      "!**/.github/**/*",
      "!**/.gitlab/**/*",
      "!**/.vscode/**/*",
      "!**/common/.config/taskfiles/**/*",
      "!**/docs/**/*",
      "!**/.editorconfig",
      "!**/.gitignore",
      "!**/.npmrc",
      "!**/.gitlab-ci.yml",
      "!**/README.md",
      "!**/LICENSE",
      "!**/Taskfile.yml",
      "!**/logo.png",
      "!**/package.json",
      "!**/start.sh",
      "!**/pnpm-lock.yaml",
      "!**/package-lock.json",
      "!**/poetry.lock",
      "!**/pyproject.toml",
      "!**/requirements.yml",
      "!**/yarn.lock",
      "!**/deprecated/**/*"
    ],
    "threshold": 14
  },
  "lint-staged": {
    "(Brewfile|composer.lock|Gemfile|Gopkg.lock|Pipfile.lock)": [
      "task fix:prettier --"
    ],
    "**/!(logo).(jpg|png)": [
      "task image:compress --"
    ],
    "**/*": [
      "task lint:any --"
    ],
    "**/*!(template).(json|webapp|webmanifest)": [
      "task fix:json --"
    ],
    "**/*.(bash|cfg|cgi|command|css|env|env.*|handlebars|hbs|html|less|fcgi|java|md|mdx|mjml|php|phtml|properties|reg|scss|tmpl|tmux|tool|tpl|zsh)": [
      "task fix:prettier --"
    ],
    "**/*.(cjs|js|jsx|mjs|ts|tsx)": [
      "task fix:js --",
      "task lint:js --"
    ],
    "**/*.(yml|yaml)": [
      "task fix:yaml --",
      "task lint:yaml --"
    ],
    "**/*.go": [
      "task fix:go --",
      "task lint:go --"
    ],
    "**/*.md": [
      "task fix:markdown --",
      "task lint:spelling:markdown --"
    ],
    "**/*.php": [
      "task fix:php --",
      "task lint:php --"
    ],
    "**/*.py": [
      "task fix:python --",
      "task lint:python --"
    ],
    "**/*.sh": [
      "task fix:prettier --",
      "task fix:shell --",
      "task lint:shell --"
    ],
    "**/*.toml": [
      "task fix:toml --",
      "task fix:prettier --",
      "task lint:toml --"
    ],
    "**/*.xml": [
      "task fix:xml --",
      "task lint:xml --"
    ],
    "Dockerfile": [
      "task fix:prettier --",
      "task lint:docker --"
    ],
    "Vagrantfile": [
      "task fix:prettier --",
      "task lint:vagrant"
    ],
    "logo.(gif|jpg|jpeg|webp)": [
      "task image:convert:logo --"
    ],
    "logo.png": [
      "task image:resize -- 200 200",
      "task image:compress --"
    ]
  },
  "nodemonConfig": {
    "exec": "tsc -p . && node --inspect-brk dist/main",
    "ext": "js,jsx,json,ts,tsx,yml",
    "ignore": [
      "src/**/*.spec.ts"
    ],
    "watch": [
      ".env",
      "src"
    ]
  },
  "ntl": {
    "descriptions": {
      "build": "Builds the project using the build command specified under scripts in package.json",
      "bump": "Used to quickly build, increase the package.json version, and publish the package",
      "commit": "If unsure, use this task to commit your code so that it adheres to our commit rules",
      "fix": "Run auto-fixing with all available auto-fixers",
      "help": "Display the Bodega Taskfile.yml interactive help menu",
      "lint": "Lint the project with all available linters",
      "preload": "Preload the operating system with commonly used libraries and tools",
      "prepare": "A hook triggered by running npm install that runs logic such as installing pre-commit hooks",
      "release": "Publish the software to all supported channels using semantic-release",
      "repair": "Fixes basic issues in projects that are having trouble running basic commands like 'task start'",
      "start": "Entrypoint for new developers that installs requirements and then runs 'task start'",
      "test": "Runs the appropriate test logic by running the test command defined under scripts in package.json",
      "unpack": "Populates production node_modules from compressed copies saved in the .modules/ folder",
      "update": "Update and refresh the repository with upstream changes and templated parts"
    }
  },
  "pnpm": {
    "allowedVersions": {
      "@typescript-eslint/eslint-plugin": "5",
      "eslint": "8",
      "typescript": "4"
    },
    "neverBuiltDependencies": [
      "core-js",
      "core-js-pure",
      "highlight.js"
    ],
    "peerDependencyRules": {
      "ignoreMissing": [
        "eslint",
        "prettier",
        "puppeteer"
      ]
    }
  },
  "prettier": "prettier-config-sexy-mode",
  "release": {
    "branches": [
      "main",
      "master",
      "next",
      {
        "name": "beta",
        "prerelease": true
      }
    ],
    "extends": "semantic-release-config"
  },
  "volta": {
    "node": "16.19.1",
    "yarn": "1.22.19"
  }
}
